Bug 496795 - UnDotum overrides Japanese desktop
UnDotum overrides Japanese desktop
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: un-core-fonts (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 04:34 EDT by Akira TAGOH
Modified: 2009-08-10 17:48 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.0.2-0.8.080608.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-19 06:17:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2009-04-21 04:34:53 EDT
Description of problem:
Just realized that gucharmap displays glyphs at CJK Unified Ideographs with UnDotum for Sans even if I run it on ja locale, because of the fontconfig config.
Please use the locale-specific overrides rule instead of the simple priority lists rule. that breaks other locale-specific overrides rule.

Version-Release number of selected component (if applicable):
1.0.2-0.6.080608.fc10

How reproducible:
always

Steps to Reproduce:
1.install un-core-fonts-dotum and vlgothic-fonts
2.run gucharmap with LANG=ja_JP.UTF-8
3.set Sans as a font and right-click on any glyphs at CJK Unified Ideographs
  
Actual results:
rendered with UnDotum

Expected results:
rendered with VL Gothic

Additional info:
Comment 1 Jens Petersen 2009-06-26 00:33:54 EDT
un-core-fonts subpackages were using wildcards to list .ttf which was pulling in Bold to the non-bold package which might be related to this problem?

That should be fixed in un-core-fonts-1.0.2-0.8.080608.
Comment 2 Fedora Update System 2009-06-26 00:58:50 EDT
un-core-fonts-1.0.2-0.8.080608.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/un-core-fonts-1.0.2-0.8.080608.fc11
Comment 3 Fedora Update System 2009-06-26 02:29:36 EDT
un-core-fonts-1.0.2-0.8.080608.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/un-core-fonts-1.0.2-0.8.080608.fc10
Comment 4 Fedora Update System 2009-06-30 17:20:37 EDT
un-core-fonts-1.0.2-0.8.080608.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update un-core-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7060
Comment 5 Fedora Update System 2009-07-19 06:17:52 EDT
un-core-fonts-1.0.2-0.8.080608.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-08-10 17:48:07 EDT
un-core-fonts-1.0.2-0.8.080608.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.